### Namespace

# Cally – 14

The Clutter Accessibility Implementation Library

Version | 14
Authors | Mutter Development Team
License | GPL-2.0-or-later
Website | https://blogs.gnome.org/shell-dev/
Source | https://gitlab.gnome.org/GNOME/mutter/

#### Build

C headers | `cally/cally.h`
pkg-config files | `mutter-clutter-14`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
Atk—1.0 | The Accessibility toolkit
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Actor | Implementation of the ATK interfaces for `ClutterActor`.
Clone | Implementation of the ATK interfaces for a `ClutterClone`.
Root | Root object for the Cally toolkit.
Stage | Implementation of the ATK interfaces for a `ClutterStage`.
Text | Implementation of the ATK interfaces for a `ClutterText`.
Util | `AtkUtil` implementation.

#### Callbacks

ActionCallback | Action function, to be used on `AtkAction` implementations as an individual action.
ActionFunc | Action function, to be used on `AtkAction` implementations as a individual action.

#### Functions

accessibility_init | Initializes the accessibility support.
get_cally_initialized | Returns if the accessibility support using cally is enabled.
snoop_key_event |

#### Function Macros

ACCESSIBLE_FACTORY | Defines a new `AtkObjectFactory` factory to create accessible objects of a specific GType. It defines the factory GType and also overrides the proper `AtkObjectFactory` methods.
ACTOR_SET_FACTORY | Sets the `AtkObjectFactory` to be used in order to instantiate accessibility objects for the actor which GType is `widget_type`.